// MyPropertySheet.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "MyPropertySheet.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyPropertySheet

IMPLEMENT_DYNAMIC(CMyPropertySheet, CPropertySheetLayout)
IMPLEMENT_DYNAMIC(CMyPropertySheetWiz, CPropertySheetLayout)
IMPLEMENT_DYNAMIC(CModePropertySheet, CPropertySheetLayout)

CMyPropertySheet::CMyPropertySheet(CWnd* pWndParent)
	 : CPropertySheetLayout(_T("CPropertySheetLayout - Demo"), pWndParent,0,_T("Property"))

{
	HideHelpButton();
//	HideApplyButton();


	AddPage(&m_Page1);
	AddPage(&m_Page2);
	AddPage(&m_Page3);
//	AddPage(&m_Page4);
	//SetWizardMode();
}

CMyPropertySheet::~CMyPropertySheet()
{
}


BEGIN_MESSAGE_MAP(CMyPropertySheet, CPropertySheetLayout)
	//{{AFX_MSG_MAP(CMyPropertySheet)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/**********************************************************************/

CMyPropertySheetWiz::CMyPropertySheetWiz(CWnd* pWndParent)
	 : CPropertySheetLayout(_T("CPropertySheetLayout - Demo"), pWndParent,1,_T("PropertyWiz"))
{
	HideHelpButton();
//	HideApplyButton();

	AddPage(&m_Page1);
	AddPage(&m_Page2);
	AddPage(&m_Page3);
	SetWizardMode();
}

CMyPropertySheetWiz::~CMyPropertySheetWiz()
{
}


BEGIN_MESSAGE_MAP(CMyPropertySheetWiz, CPropertySheetLayout)
	//{{AFX_MSG_MAP(CMyPropertySheetWiz)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()



/**********************************************************************/

CModePropertySheet::CModePropertySheet(CWnd* pWndParent)
	 : CPropertySheetLayout(_T("CPropertySheetLayout - Demo"), pWndParent)
{
	SetModeLess();
//	HideTabControl();
	AddPage(&m_Page1);
	AddPage(&m_Page2);
	AddPage(&m_Page3);

}

CModePropertySheet::~CModePropertySheet()
{

}


BEGIN_MESSAGE_MAP(CModePropertySheet, CPropertySheetLayout)
	//{{AFX_MSG_MAP(CModePropertySheet)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CMyPropertySheet -Behandlungsroutinen



BOOL CMyPropertySheet::OnInitDialog() 
{
	CPropertySheetLayout::OnInitDialog();
	m_MyTabCtrl.SubclassDlgItem(GetTabControl()->GetDlgCtrlID(), this /*parent*/ );
	return TRUE;
}

/**********************************************************************/

void CMyPropertySheet::OnDestroy() 
{
	m_MyTabCtrl.UnsubclassWindow();
	CPropertySheetLayout::OnDestroy();
}

/**********************************************************************/

BOOL CModePropertySheet::OnInitDialog() 
{
	CPropertySheetLayout::OnInitDialog();
	m_MyTabCtrl.SubclassDlgItem(GetTabControl()->GetDlgCtrlID(), this /*parent*/ );

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

/**********************************************************************/

void CModePropertySheet::OnDestroy() 
{
	m_MyTabCtrl.UnsubclassWindow();
	CPropertySheetLayout::OnDestroy();
}

/**********************************************************************/

/***********************************************************************
 * Der Aufruf von CPropertySheetLayout::OnInitDialog(); muss sein!
 ***********************************************************************/
BOOL CMyPropertySheetWiz::OnInitDialog() 
{
	CPropertySheetLayout::OnInitDialog();
	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}
